package com.zd.exam.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;

/**
 * 信用合格分设置对象 el_pass_markconfig
 *
 * @author zd
 * @date 2021-12-14
 */
@ApiModel("信用合格分设置")
public class ElPassMarkconfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 合格分数 */
    @Excel(name = "合格分数")
    @ApiModelProperty(value = "合格分数")
    private Long passMark;
    /** 获得安全准入证书:1是已获取，0是未获取，-1是不需要获取 */
    @Excel(name = "获得安全准入证书:1是已获取，0是未获取，-1是不需要获取")
    @ApiModelProperty(value = "获得安全准入证书:1是已获取，0是未获取，-1是不需要获取")
    private Integer gainSafeCert;

    /** 获得实验室安全准入资格:1是已获取，0是未获取，-1是不需要获取 */
    @Excel(name = "获得实验室安全准入资格:1是已获取，0是未获取，-1是不需要获取")
    @ApiModelProperty(value = "获得实验室安全准入资格:1是已获取，0是未获取，-1是不需要获取")
    private Integer gainSubSafeCert;

    /** 黑名单分值 */
    @Excel(name = "黑名单分值")
    @ApiModelProperty(value = "黑名单分值")
    private Long blackScore;
    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPassMark(Long passMark)
    {
        this.passMark = passMark;
    }

    public Long getPassMark()
    {
        return passMark;
    }

    public Integer getGainSafeCert() {
        return gainSafeCert;
    }

    public void setGainSafeCert(Integer gainSafeCert) {
        this.gainSafeCert = gainSafeCert;
    }

    public Integer getGainSubSafeCert() {
        return gainSubSafeCert;
    }

    public void setGainSubSafeCert(Integer gainSubSafeCert) {
        this.gainSubSafeCert = gainSubSafeCert;
    }

    public void setBlackScore(Long blackScore)
    {
        this.blackScore = blackScore;
    }

    public Long getBlackScore()
    {
        return blackScore;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("passMark", getPassMark())
            .append("gainSafeCert", getGainSafeCert())
            .append("gainSubSafeCert", getGainSubSafeCert())
            .append("blackScore", getBlackScore())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
